##
#
# Generic setup footer for all ScatterWeb on ns-2 simulations
#
# Copyright 2005-2007, Freie Universitaet Berlin. All rights reserved.
# Please refer to the COPYING file for detailed licensing information.
#
# Contributors: Georg Wittenburg
#
##

$ns_ at [expr $simulation_duration + 1.0] "stop"
$ns_ at [expr $simulation_duration + 2.0] "printStats";
#$ns_ at [expr $simulation_duration + 3.0] "printProcessStatus";
$ns_ at [expr $simulation_duration + 4.0] "puts \"NS EXITING...\"; $ns_ halt"

proc stop {} {
	global ns_ tracefd namtracefd
	$ns_ nam-end-wireless [$ns_ now]
	$ns_ flush-trace
	close $tracefd
	close $namtracefd
}

proc printStats {} {
	global val agent_
	set globalRxPacketCount 0.0
	set globalTxPacketCount 0.0
	for {set i 0} {$i < $val(nn)} {incr i} {
		set globalRxPacketCount [expr $globalRxPacketCount + [$agent_($i) set rxPacketCount_]]
		set globalTxPacketCount [expr $globalTxPacketCount + [$agent_($i) set txPacketCount_]]
	}
	puts "Total TX packets:\t$globalTxPacketCount"
	puts "Total RX packets:\t$globalRxPacketCount"
	if {$globalRxPacketCount > 0} then {
		puts "Average node degree:\t[expr $globalRxPacketCount / $globalTxPacketCount]"
	}
}

proc printProcessStatus {} {
	set stats [open /proc/self/status r]
	while { [gets $stats line] >= 0 } {
		puts $line
	}
	close $stats
}

puts "Starting Simulation..."
$ns_ run
