##
#
# Generic setup header for all ScatterWeb on ns-2 simulations
#
# Copyright 2005-2007, Freie Universitaet Berlin. All rights reserved.
# Please refer to the COPYING file for detailed licensing information.
#
# Contributors: Georg Wittenburg
#
##

# Create God
set god_ [create-god $val(nn)]
$god_ on

# Create simulator and initialize traces
set ns_		[new Simulator]

# Use real-time scheduler (optional)
#$ns_ use-scheduler RealTime

# Initialize random number generator with new seed
set rng_ [new RNG]
$rng_ seed 0

# Create topography
set topo	[new Topography]
$topo load_flatgrid $val(x) $val(y)

# Create channel
set chan_ [new $val(chan)]

# Setup node configuration
$ns_ node-config	-adhocRouting $val(rp) \
			-llType $val(ll) \
			-macType $val(mac) \
			-ifqType $val(ifq) \
			-ifqLen $val(ifqlen) \
			-antType $val(ant) \
			-propType $val(prop) \
			-phyType $val(netif) \
			-topoInstance $topo \
			-agentTrace OFF \
			-routerTrace OFF \
			-macTrace ON \
			-movementTrace ON \
			-channel $chan_

# Open trace files
#set tracefd	[open scatterweb.tr w]
set tracefd	[open /dev/null w]
$ns_ trace-all $tracefd
set namtracefd [open scatterweb.nam w]
#set namtracefd [open /dev/null w]
$ns_ namtrace-all-wireless $namtracefd $val(x) $val(y)
