##
#
# Common configuration options for all ScatterWeb on ns-2 simulations
#
# Copyright 2005-2007, Freie Universitaet Berlin. All rights reserved.
# Please refer to the COPYING file for detailed licensing information.
#
# Contributors: Georg Wittenburg
#
##

set val(chan)		Channel/WirelessChannel		;# channel type
set val(prop)		Propagation/Shadowing		;# radio-propagation model
set val(netif)		Phy/WirelessPhy			;# network interface type
set val(mac)		Mac/Simple			;# MAC type (TODO: Mac/Csma would be preferable, but it's not supported in current versions of ns-2.)
set val(ifq)		Queue/DropTail			;# interface queue type
set val(ll)		LL				;# link layer type
set val(ant)		Antenna/OmniAntenna		;# antenna model
set val(ifqlen)		10				;# max packet in ifq
set val(rp)		DumbAgent			;# routing protocol

# Radio-propagation model
Propagation/Shadowing		set pathlossExp_		2.7	;# T. Rappaport, Wireless Communication, Figure 4.17
#Propagation/Shadowing		set std_db_			11.8	;# T. Rappaport, Wireless Communication, Figure 4.17
Propagation/Shadowing		set std_db_			6.2	;# ITU-R P.1546, Table 2, p. 47, value for 600 MHz with mobile, urban scenario
#Propagation/Shadowing		set dist0_			1.0	;# (default)
#Propagation/Shadowing		set seed_			0	;# first of the predefined seeds (default)

# Link layer
#LL				set mindelay_			50us	;# (not used?)
LL				set delay_			0us	;# (TODO: This is to be done in the ScatterWeb part of the simulation.)
#LL				set bandwidth_			0	;# (not used)
#LL				set debug_			false	;# (default)
#LL				set avoidReordering_		false	;# (not used)

# ScatterWeb default values
Agent/MessagePassing/ScatterWeb	set strace_			false
Agent/MessagePassing/ScatterWeb	set macLayerCollisionAvoidance_	false
Agent/MessagePassing/ScatterWeb	set rxPacketCount_		0
Agent/MessagePassing/ScatterWeb	set txPacketCount_		0
