##
#
# ESB-specific configuration options for all ScatterWeb on ns-2 simulations
#
# Copyright 2005-2007, Freie Universitaet Berlin. All rights reserved.
# Please refer to the COPYING file for detailed licensing information.
#
# Contributors: Georg Wittenburg
#
##

source scatterweb_common.tcl

# Antenna
#Antenna/OmniAntenna	set X_			0			;# (default)
#Antenna/OmniAntenna	set Y_			0			;# (default)
Antenna/OmniAntenna	set Z_			0.07			;# height of ESB (aprox. 7 cm)

# Network interface
#Phy/WirelessPhy	set CPThresh_		10.0			;# see wireless-phy.cc (default)
Phy/WirelessPhy		set CSThresh_		3.162277660168379e-10	;# -95 dBm @ 19.2 kpbs (TODO: When do we sense a carrier?)
Phy/WirelessPhy		set RXThresh_		3.162277660168379e-10	;# -95 dBm @ 19.2 kpbs (according to datasheet with 10^-4 BER at 25 C)
Phy/WirelessPhy		set bandwidth_		19.2e3			;# 19.2 kpbs
Phy/WirelessPhy		set Pt_			3.467368504525316e-01	;# -4.6 dBm @ txPower == 100
Phy/WirelessPhy		set freq_		868.35e+6		;# between 868.15 MHz and 868.55 MHz
#Phy/WirelessPhy	set L_			1.0			;# see wireless-phy.cc (default)

# MAC layer
Mac			set bandwidth_		19.2e3			;# 19.2kpbs
Mac			set delay_		0us			;# (TODO: This is to be done in the ScatterWeb part of the simulation.)
Mac			set abstract_		false			;# (default)
#Mac/Csma		set ifs_		0us			;# no interframe spacing
#Mac/Csma		set slotTime_		10us			;# HACK: approximate ScatterWeb by setting this to the call frequency of the radio_tx_isr() routing, which unfortunately we can only guess (TODO)
#Mac/Csma		set cwmin_		1			;# minimum backoff length (internally multiplied by slotTime_)
#Mac/Csma		set cwmax_		32			;# maximum backoff length (internally multiplied by slotTime_)
#Mac/Csma		set rtxLimit_		15			;# 15 retries
#Mac/Csma		set csense_		true			;# do carrier sense
# TODO: still need to add preamble (5 bytes) and postamble (3 bytes) to the packet

# Interface queue
Queue			set limit_		4			;# 400 bytes in TX ring buffer (see mean_pktsize_)
#Queue			set blocked_		false			;# (default)
#Queue			set unblock_on_resume_	true			;# (default)
#Queue			set interleave_		false			;# (default)
#Queue			set acksfirst_		false			;# (default)
#Queue			set ackfromfront_	false			;# (default)
#Queue			set debug_		false			;# (default)
#Queue/DropTail		set drop_front_		false			;# (default)
#Queue/DropTail		set summarystats_	false			;# (default)
Queue/DropTail		set queue_in_bytes_	true			;# queue size in bytes rather than packets
Queue/DropTail		set mean_pktsize_	100			;# internal multiplier for limit_
